package com.alibaba.druid.sql.dialect.mysql.ast.statement;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.statement.SQLAlterTableItem;
import com.alibaba.druid.sql.dialect.mysql.ast.AnalyzerIndexType;
import com.alibaba.druid.sql.dialect.mysql.ast.MySqlObjectImpl;
import com.alibaba.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;

public class MySqlAlterTableAlterFullTextIndex extends MySqlObjectImpl implements SQLAlterTableItem {
   private SQLName indexName;
   private AnalyzerIndexType analyzerType;
   private SQLName analyzerName;

   public void accept0(MySqlASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.indexName);
         this.acceptChild(visitor, this.analyzerName);
      }

      visitor.endVisit(this);
   }

   public SQLName getIndexName() {
      return this.indexName;
   }

   public void setIndexName(SQLName indexName) {
      this.indexName = indexName;
   }

   public SQLName getAnalyzerName() {
      return this.analyzerName;
   }

   public void setAnalyzerName(SQLName analyzerName) {
      this.analyzerName = analyzerName;
   }

   public AnalyzerIndexType getAnalyzerType() {
      return this.analyzerType;
   }

   public void setAnalyzerType(AnalyzerIndexType analyzerType) {
      this.analyzerType = analyzerType;
   }
}
